import React from 'react';
import { Editor } from 'slate';
/**
 * TabKey 类用于处理编辑器中的 Tab 键事件。
 */
export declare class TabKey {
    private readonly editor;
    constructor(editor: Editor);
    run(e: React.KeyboardEvent): void;
    private tableCell;
    private listItem;
}
